// 中间件模块-过滤域名
// 秒寻科技
// 周涛
// 2024-02-22

package filterdomain

import (
	"fmt"
	"strings"

	"github.com/gin-gonic/gin"
)

// 过滤域名字符串
func FilterDomainFlag() func(c *gin.Context) {
	return func(c *gin.Context) {
		fullPath := c.Request.URL.RawPath
		dataList := strings.Split(fullPath, "/")
		fmt.Printf("%s", dataList)
		for _, v := range dataList {
			fmt.Println(v)
		}

		c.Next()

		// redisOperator := new(redismodel.RedisOperator)
		// var redisObj redisapi.RedisApi
		// token := c.Request.Header.Get("token") //获取请求参数中的token字符

		// //已经登录
		// if len(token) > 0 {
		// 	if err := redisObj.GetModelData(token, redisOperator); err != nil {
		// 		resp.RespTokenExpire(c, "token已过期,请重新登录")
		// 		c.Abort()
		// 	} else { //重新设置token过期时间
		// 		myViper := viperconfig.GetViper()
		// 		expireTime := myViper.GetInt("ptoken.pc_expire")
		// 		if expireTime <= 0 {
		// 			expireTime = 5 //5分钟
		// 		}

		// 		redisObj.SetExpireTime(token, uint8(expireTime))
		// 		c.Set("mycontext", redisOperator) //设置自定义键
		// 		c.Next()
		// 	}
		// } else { //还未登录
		// 	resp.RespFail(c, "请先登录")
		// 	c.Abort()
		// }
	}
}
